
Base Distribution - Story # 32034

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2011-11-23 Assigned To: Markus Goldbeck
Updated: 2012-09-04 Due date:
Subject: As a content editor I'd like to see the sub pages of my current page
Description

DoD:

    -  on opening, the page tree should have the current page selected
    -  the sub pages of the current page must be visible (expanded) already
    -  path to current page (parent nodes) is visible in page tree

Associated revisions
Revision 3920b0e2 - 2012-09-04 22:12 - Mattias Nilsson

[TASK] Page tree should expand by default

The page tree now expands infinite levels by default and the
same applies to the inspector tree.

Code cleanup related to dynatree in ui.js is done as well.

Change-Id: Id6db1f77ba5da01bc7ddc8032679ac259cb999b3
Resolves: #32034

History
#1 - 2012-05-24 10:16 - Markus Goldbeck
- Assigned To set to Markus Goldbeck

#2 - 2012-08-29 19:19 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14195

#3 - 2012-08-30 19:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14195

#4 - 2012-08-31 08:00 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14195
#5 - 2012-09-04 10:54 - Robert Lemke
- Tracker changed from Bug to Story
- Project changed from TYPO3.Neos to Base Distribution
- Category deleted (UI)

#6 - 2012-09-04 11:01 - Robert Lemke
- Subject changed from Page tree should expand two or three levels by default to As a content editor I'd like to see the sub pages of my current page

#7 - 2012-09-04 13:23 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14195

#8 - 2012-09-04 20:35 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14195

#9 - 2012-09-04 21:38 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14195

#10 - 2012-09-04 21:38 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14195

#11 - 2012-09-04 21:41 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14195

#12 - 2012-09-04 22:12 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14195

#13 - 2012-09-04 22:35 - Mattias Nilsson
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3920b0e23cb210add87e6764d99110172b46f6f3.
